import { createApp } from "vue";

import App from "./App.vue";

const buttons = document.querySelectorAll<HTMLDivElement>(
    "[data-generate-export-button]",
);

buttons.forEach((button) => {
    const savedExportUuid = button.dataset.savedExportUuid as string;

    createApp(App, { savedExportUuid, savedExportAlias: "" }).mount(button);
});
