<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\MainBundle\Service\UserGroup;

interface UserGroupRelatedToUserJobSyncInterface
{
    /**
     * @return array{userjob_created: int, association_removed: int, association_created: int}
     */
    public function __invoke(): array;
}
