<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\MainBundle\Export;

/**
 * Interface which is aware of the export manager.
 */
interface ExportManagerAwareInterface
{
    public function setExportManager(ExportManager $exportManager): void;
}
