import { makeFetch } from "ChillMainAssets/lib/api/apiMethods";
import { ExportGeneration } from "ChillMainAssets/types";

export const fetchExportGenerationStatus = async (
    exportGenerationId: string,
): Promise<ExportGeneration> =>
    makeFetch(
        "GET",
        `/api/1.0/main/export-generation/${exportGenerationId}/object`,
    );

export const generateFromSavedExport = async (
    savedExportUuid: string,
): Promise<ExportGeneration> =>
    makeFetch(
        "POST",
        `/api/1.0/main/export/export-generation/create-from-saved-export/${savedExportUuid}`,
    );
